%define waddir  %{_datadir}/doom

Name:           freedoom

Version:        0.5
Release:        3%{?dist}
Summary:        Replacement game files for doom game engines

Group:          Amusements/Games
License:        BSD
URL:            http://freedoom.sourceforge.net
Source0:	http://downloads.sourceforge.net/freedoom/freedoom-iwad-%{version}.zip
Source1:	freedoom.desktop
Source2:	freedoom.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:  desktop-file-utils
Requires:       prboom

%description
A set of game resources for the DOOM game engine.  While the Doom source code
is Free, you currently still need one of the proprietary IWAD files from id in
order to play Doom. Freedoom aims to create a Free alternative. Combined with
the GPL-licensed Doom source code this will result in a completely Free
Doom-based game.


%prep
%setup -q -n freedoom-iwad-%{version}


%build
# Game data files.  Nothing to build!

%install
rm -rf $RPM_BUILD_ROOT
install -pD -m 0644 doom2.wad $RPM_BUILD_ROOT/%{waddir}/freedoom.wad

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{waddir}/%{name}.wad
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png
%doc README COPYING CREDITS NEWS



%changelog
* Sat Aug 11 2007 Wart <wart at kobold.org> 0.5-3
- Use correct .desktop file version

* Sat Mar 3 2007 Wart <wart at kobold.org> 0.5-2
- Use better sourceforge download url
- Use more precise desktop file categories

* Fri Sep 15 2006 Wart <wart at kobold.org> 0.5-1
- Update to 0.5

* Tue Mar 14 2006 Wart <wart at kobold.org> 0.4.1-3
- Use correct License: tag.
- Remove unnecessary comment.

* Mon Mar 13 2006 Wart <wart at kobold.org> 0.4.1-2
- Install wad in new location (see discussion on bz #185211)

* Sat Mar 11 2006 Wart <wart at kobold.org> 0.4.1-1
- Initial package for Fedora Extras
